Bug 101135 - FILESAVE During .xlsx export, XML_outlineLevelRow, XML_outlineLevelCol keys are not saved
Summary: FILESAVE During .xlsx export, XML_outlineLevelRow, XML_outlineLevelCol keys a...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Bartosz
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.5
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-26 16:27 UTC by Bartosz
Modified: 2016-12-05 17:48 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz 2016-07-26 16:27:12 UTC
During .xlsx export save XML_outlineLevelRow, XML_outlineLevelCol keys

In .xlsx, the XML_outlineLevelRow and XML_outlineLevelCol keys
are required for Microsoft Office365 application
to properly displaying Outline values.
Comment 1 Bartosz 2016-07-26 16:27:47 UTC
Review:
https://gerrit.libreoffice.org/#/c/27545/
Comment 2 Commit Notification 2016-07-28 19:20:56 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ad121df71ad463bed8caf147d27f020b548f0862

tdf#101135 FILESAVE .xlsx Save XML_outlineLevelRow, XML_outlineLevelCol keys

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-12-05 17:48:52 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=517eddcbfd8dd5d6da50210a12ba917998897bbf&h=libreoffice-5-2

tdf#101135 FILESAVE .xlsx Save XML_outlineLevelRow, XML_outlineLevelCol keys

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.